Results 1 to 3 of 3

Thread: New Server Install PHP Fatal error: PCRE is not compiled with UTF-8 support

  1. #1
    Registered User
    Join Date
    Jan 2009
    Posts
    4

    Default New Server Install PHP Fatal error: PCRE is not compiled with UTF-8 support

    Hey,

    Just setup a new server and getting some issues with this PHP error. PCRE is indeed compiled with UTF-8 and Unicode support.

    PHP Warning: preg_match(): Compilation failed: unknown option bit(s) set at offset 0
    PHP Fatal error: PCRE is not compiled with UTF-8 support

    pcretest -C
    PCRE version 7.8 2008-09-05
    Compiled with
    UTF-8 support
    Unicode properties support
    Newline sequence is LF
    \R matches all Unicode newlines
    Internal link size = 2
    POSIX malloc threshold = 10
    Default match limit = 10000000
    Default recursion depth limit = 10000000
    Match recursion uses stack

    opt/pcre/bin/pcretest -C
    PCRE version 8.21 2011-12-12
    Compiled with
    UTF-8 support
    Unicode properties support
    No just-in-time compiler support
    Newline sequence is LF
    \R matches all Unicode newlines
    Internal link size = 2
    POSIX malloc threshold = 10
    Default match limit = 10000000
    Default recursion depth limit = 10000000
    Match recursion uses stack


    Using PHP 5.4.11, CentOS 6 x64 and Apache 2.4. Was using the same on another server except on a 32 bit OS and it was fine.

  2. #2
    Registered Member NovemberRain's Avatar
    Join Date
    Sep 2003
    Location
    Istanbul, Turkey, Turkey
    Posts
    81
    cPanel/WHM Access Level

    Root Administrator

    Default Re: New Server Install PHP Fatal error: PCRE is not compiled with UTF-8 support

    I had the same problem with apache 2.4. I posted a thread about it and opened a support ticket but it hasn't been fixed yet.

    http://forums.cpanel.net/f5/php-fata...te-321381.html

  3. #3
    Registered User
    Join Date
    Jan 2009
    Posts
    4

    Default Re: New Server Install PHP Fatal error: PCRE is not compiled with UTF-8 support

    Yes going back to 2.2 resolved this issue. Did not have the issue on a 32 bit CentOS 5 system.

Similar Threads

  1. Replies: 3
    Last Post: 12-31-2013, 08:17 AM
  2. All server with {PHP Fatal error: PHP Startup: apc_mmap: mmap failed}
    By 000 in forum Workarounds and Optimization
    Replies: 3
    Last Post: 12-21-2012, 06:49 AM
  3. cgiemail install error and fatal error on cgiscript page
    By adoni in forum E-mail Discussions
    Replies: 0
    Last Post: 01-13-2010, 09:14 PM
  4. can pcre compiled with utf-8 in easyapache?
    By charliesxia in forum EasyApache
    Replies: 1
    Last Post: 07-18-2009, 06:55 AM
  5. Replies: 13
    Last Post: 06-23-2008, 05:21 AM
bargain